Index: c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -1,2 +1,19 @@
+2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add preinstallation dirstamp support.
+	* bootloader/Makefile.am: Cosmetics.
+	* clock/Makefile.am: Cosmetics.
+	* console/Makefile.am: Cosmetics.
+	* irq/Makefile.am: Add preinstallation dirstamp support.
+	* motorola/Makefile.am: Cosmetics.
+	* openpic/Makefile.am: Cosmetics.
+	* pci/Makefile.am: Cosmetics.
+	* residual/Makefile.am: Cosmetics.
+	* start/Makefile.am: Cosmetics.
+	* startup/Makefile.am: Cosmetics.
+	* vectors/Makefile.am: Add preinstallation dirstamp support.
+	* vme/Makefile.am: Add preinstallation dirstamp support.
+	* wrapup/Makefile.am: Cosmetics.
+
 2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -26,31 +26,32 @@
 EXTRA_DIST += times.mcp750 times.mvme2307
 
-$(PROJECT_INCLUDE)/bsp:
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/bsp
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 
-$(PROJECT_INCLUDE)/bsp/consoleIo.h: ../shared/console/consoleIo.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/nvram.h: ../shared/include/nvram.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/nvram.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/nvram.h
+
+$(PROJECT_INCLUDE)/coverhd.h: ../../shared/include/coverhd.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/coverhd.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
+
+$(PROJECT_INCLUDE)/bsp/consoleIo.h: ../shared/console/consoleIo.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/consoleIo.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/consoleIo.h
 
-$(PROJECT_INCLUDE)/bsp/uart.h: ../shared/console/uart.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/bsp/uart.h: ../shared/console/uart.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/uart.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/uart.h
 
-$(PROJECT_INCLUDE)/bsp/irq.h: ../shared/irq/irq.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/bsp/irq.h: ../shared/irq/irq.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq.h
 
-$(PROJECT_INCLUDE)/bsp/motorola.h: ../shared/motorola/motorola.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/bsp/motorola.h: ../shared/motorola/motorola.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/motorola.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/motorola.h
-
-$(PROJECT_INCLUDE)/nvram.h: ../shared/include/nvram.h
-	$(INSTALL_DATA) $< $@
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/nvram.h
-
-$(PROJECT_INCLUDE)/coverhd.h: ../../shared/include/coverhd.h
-	$(INSTALL_DATA) $< $@
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -17,5 +17,4 @@
 bootloader_SOURCES += bootldr.h zlib.h pci.h keyboard.h
 
-
 NM = @NM@
 LD = @LD@
@@ -27,12 +26,9 @@
 BOOTLOADER_CPU_FLAGS=$(subst -msdata=eabi,,$(subst -meabi,,$(CPU_CFLAGS)))
 AM_CPPFLAGS = -D__BOOT__ -DDEBUG
-AM_CFLAGS = \
-    $(GCC_SPECS) -specs bsp_specs -qrtems -mrelocatable \
-    -msoft-float -mstrict-align -fno-builtin -Wall -mmultiple \
-    -mstring -O2 -fomit-frame-pointer -ffixed-r13 -mno-sdata \
-    $(BOOTLOADER_CPU_CFLAGS)
-AM_CCASFLAGS = $(AM_CPPFLAGS) \
-    $(GCC_SPECS) -specs bsp_specs -qrtems -mrelocatable \
-    -DASM $(BOOTLOADER_CPU_CFLAGS)
+AM_CFLAGS = $(GCC_SPECS) -specs bsp_specs -qrtems -mrelocatable -msoft-float \
+    -mstrict-align -fno-builtin -Wall -mmultiple -mstring -O2 \
+    -fomit-frame-pointer -ffixed-r13 -mno-sdata $(BOOTLOADER_CPU_CFLAGS)
+AM_CCASFLAGS = $(AM_CPPFLAGS) $(GCC_SPECS) -specs bsp_specs -qrtems \
+    -mrelocatable -DASM $(BOOTLOADER_CPU_CFLAGS)
 
 #
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/clock/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/clock/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../../shared/clock
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../../shared/console:@srcdir@/../../../shared
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/irq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/irq/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/irq/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -27,10 +27,11 @@
 PREINSTALL_FILES =
 
-$(PROJECT_INCLUDE)/bsp:
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/bsp
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 
-$(PROJECT_INCLUDE)/bsp/irq.h: $(top_srcdir)/../shared/irq/irq.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/bsp/irq.h: $(top_srcdir)/../shared/irq/irq.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq.h
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/motorola/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/motorola/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/motorola/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -25,13 +25,16 @@
 all-local: $(OBJS)
 
+    $(top_srcdir)/../shared/motorola/motorola.h
+	$(INSTALL_DATA) $< $@
+
 PREINSTALL_FILES =
 
-$(PROJECT_INCLUDE)/bsp:
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/bsp
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 
-$(PROJECT_INCLUDE)/bsp/motorola.h: \
-    $(top_srcdir)/../shared/motorola/motorola.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/bsp/motorola.h: $(top_srcdir)/../shared/motorola/motorola.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/motorola.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/motorola.h
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -19,10 +19,11 @@
 PREINSTALL_FILES =
 
-$(PROJECT_INCLUDE)/bsp:
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/bsp
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 
-$(PROJECT_INCLUDE)/bsp/openpic.h: $(top_srcdir)/../shared/openpic/openpic.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/bsp/openpic.h: $(top_srcdir)/../shared/openpic/openpic.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/openpic.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/openpic.h
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/pci/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/pci/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/pci/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -24,10 +24,11 @@
 PREINSTALL_FILES =
 
-$(PROJECT_INCLUDE)/bsp:
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/bsp
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 
-$(PROJECT_INCLUDE)/bsp/pci.h: $(top_srcdir)/../shared/pci/pci.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/bsp/pci.h: $(top_srcdir)/../shared/pci/pci.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/pci.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/pci.h
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/residual/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/residual/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/residual/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../../shared/residual
@@ -20,16 +19,5 @@
 #
 
-$(PROJECT_INCLUDE)/bsp:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/bsp/pnp.h: ../../shared/residual/pnp.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/bsp/residual.h: ../../shared/residual/residual.h
-	$(INSTALL_DATA) $< $@
-
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/bsp $(PROJECT_INCLUDE)/bsp/pnp.h \
-    $(PROJECT_INCLUDE)/bsp/residual.h
 
 all-local: $(PREINSTALL_FILES) $(OBJS)
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/start/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/start/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -16,5 +16,5 @@
 # (OPTIONAL) Add local stuff here using +=
 #
-bsplib_DATA =  $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 bsplib_DATA += $(PROJECT_RELEASE)/lib/rtems_crti.$(OBJEXT)
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/startup/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/startup/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../console:@srcdir@/../../shared/startup:@srcdir@/../../../shared
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -30,10 +30,11 @@
 PREINSTALL_FILES =
 
-$(PROJECT_INCLUDE)/bsp:
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/bsp
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 
-$(PROJECT_INCLUDE)/bsp/vectors.h: $(top_srcdir)/../shared/vectors/vectors.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/bsp/vectors.h: $(top_srcdir)/../shared/vectors/vectors.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/vectors.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/vectors.h
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/vme/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/vme/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/vme/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -9,5 +9,4 @@
 C_FILES = vmeUniverse.c vmeconfig.c
 
-
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
@@ -18,22 +17,4 @@
 include_bsp_HEADERS += ../../shared/vme/VME.h
 include_bsp_HEADERS += ../../../shared/vmeUniverse/vmeUniverse.h
-
-$(PROJECT_INCLUDE):
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/bsp:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/bsp/vmeUniverse.h: vmeUniverse.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/bsp/VME.h: VME.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/bsp/VMEConfig.h: VMEConfig.h
-	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/bsp \
-    $(addprefix $(PROJECT_INCLUDE)/bsp/,$(notdir $(include_bsp_HEADERS)))
 
 all-local: $(PREINSTALL_FILES) $(OBJS)
@@ -46,3 +27,22 @@
 #
 
+PREINSTALL_FILES =
+
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
+	@$(mkinstalldirs) $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+
+$(PROJECT_INCLUDE)/bsp/VMEConfig.h: ../../shared/vme/VMEConfig.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/VMEConfig.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/VMEConfig.h
+
+$(PROJECT_INCLUDE)/bsp/VME.h: ../../shared/vme/VME.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/VME.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/VME.h
+
+$(PROJECT_INCLUDE)/bsp/vmeUniverse.h: ../../../shared/vmeUniverse/vmeUniverse.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/vmeUniverse.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/vmeUniverse.h
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am	(revision cc5f43903d8e2cf980bebb95569ed6a8c5b6d16c)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am	(revision f42a7891265d0d30ebf9f70bbfebb82048e1ffe1)
@@ -3,5 +3,6 @@
 ##
 
-BSP_PIECES = clock console irq openpic pci residual startup vectors motorola vme
+BSP_PIECES = clock console irq openpic pci residual startup vectors motorola \
+    vme
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
@@ -9,6 +10,6 @@
     $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) \
     $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc6xx/*/$(ARCH)/*.$(OBJEXT)) \
-    ../@exceptions@/$(ARCH)/rtems-cpu.rel \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.$(OBJEXT))
+    ../@exceptions@/$(ARCH)/rtems-cpu.rel $(wildcard \
+    ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.$(OBJEXT))
 LIB = $(ARCH)/libbsp.a
 
